#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'ukpbj.edit_agency'}
#{/set}
<ol class="breadcrumb">
    <li><a href="@{admin.AgencyCtr.index()}">&{'ukpbj.detail'} </a></li>
    <li class="active">&{'ukpbj.edit'}</li>
</ol>
<div class="content">
#{alert /}
#{form @admin.UkpbjCtr.submit(), method:'POST'}
    #{if ukpbj?.ukpbj_id}
        <input type=hidden name="ukpbj.ukpbj_id" value="${ukpbj?.ukpbj_id}"/>
    #{/if}

    <div class="form-group">
        <label class="col-lg-2 control-label">&{'ukpbj.nama'}<span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'ukpbj.nama'/}">
            <input type="text" name="ukpbj.nama" size="40" maxlength="80" required value="${flash.contains('ukpbj.nama')?flash['ukpbj.nama']:ukpbj?.nama}" class="form-control">
            <span class="help-block">#{error 'ukpbj.nama' /}</span>
        </div>
    </div>

    <div class="form-group">
        <label class="col-lg-2 control-label">&{'ukpbj.alamat'}<span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'ukpbj.alamat'/}">
            <textarea name="ukpbj.alamat" cols="25" rows="4" required class="form-control">${ukpbj?.alamat}</textarea>
            <span class="help-block">#{error 'ukpbj.alamat' /}</span>
        </div>
    </div>

    <div class="form-group">
        <label class="col-lg-2 control-label">&{'ukpbj.telepon'} <span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'ukpbj.telepon'/}">
            <input type="text" id="telp" name="ukpbj.telepon" size="40" required maxlength="80" value="${ukpbj?.telepon}" class="form-control">
            <span class="help-block">#{error 'ukpbj.telepon' /}</span>
        </div>
    </div>

    <div class="form-group">
        <label class="col-lg-2 control-label">&{'ukpbj.fak'} </label>
        <div class="col-lg-10 #{errorClass 'ukpbj.fax'/}">
            <input type="text" id="fax" name="ukpbj.fax" size="40" maxlength="80" value="${ukpbj?.fax}" class="form-control">
            <span class="help-block">#{error 'ukpbj.fax' /}</span>
        </div>
    </div>

    <div class="form-group">
        <label class="col-lg-2 control-label">&{'ukpbj.tanggal_daftar'}<span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'ukpbj.tgl_daftar'/}">
            <div class="input-group date width-normal">
                <input name="ukpbj.tgl_daftar" type="text" required value="${ukpbj?.tgl_daftar?.toDatepicker()}"
                       class="form-control datepicker #{validate 'ukpbj.tgl_daftar'/}"/>
                <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                <div class="invalid-feedback">#{error 'ukpbj.tgl_daftar' /}</div>
            </div>
        </div>
    </div>
    <div class="form-group">
        <label class="col-lg-2 control-label">&{'ukpbj.penanggung_jawab'}<span class="warning"> *</span></label>
        <div class="col-lg-10">
            #{selectKUPPBJ 'ukpbj.kpl_unit_pemilihan_id', selected:ukpbj?.kpl_unit_pemilihan_id, required:true /}
        </div>
    </div>

    #{if ukpbj?.ukpbj_id != null}
        <div class="breadcrumb">&{'ukpbj.daftar_pegawai'}</div>
        <table class="table table-condensed ">
            <thead>
            <tr>
                <th><input name="chkPegawai" type="checkbox" class="checkall"/></th>
                <th>&{'ukpbj.nama'}</th>
                <th width="20%">&{'ukpbj.user_id'}</th>
                <th width="20%">&{'ukpbj.nip'}</th>
                <th width="20%">&{'ukpbj.email'}</th>
            </tr>
            </thead>
            <tbody>
                #{list items:daftarPegawai, as:'pegawai' , name:'pegawai'}
                    #{set idx:pegawai_index-1 /}
                <tr>
                    <input type="hidden" name ="pegawaiId"  value="${pegawai.pegawai.peg_id}" >
                    <td width="10"><input type="checkbox" name="chk_pegawai" value="${pegawai.pegawai.peg_id}" /></td>
                    <td>${pegawai.pegawai.peg_nama}</td>
                    <td>${pegawai.pegawai.peg_namauser}</td>
                    <td>${pegawai.pegawai.peg_nip}</td>
                    <td>${pegawai.pegawai.peg_email}</td>
                </tr>
                #{/list}
            </tbody>
        </table>
    #{/if}
    <div class="bs-callout bs-callout-info">
        <span class="warning">*</span> &{'ukpbj.harus_diisi'}
    </div>
    #{saveButton /}
    #{if ukpbj?.ukpbj_id != null}
        #{set 'a'}'&{'ukpbj.btn_tambah'}#{/set}
        #{set 'b'}&{'ukpbj.btn_hapus'}#{/set}
        #{addButton title:a, action:@admin.UkpbjCtr.tambahPegawai(ukpbj.ukpbj_id) /}
        #{newDeleteButton title:b, name: 'hapusPegawai' /}
    #{/if}
    #{backButton action:@admin.UkpbjCtr.index() /}
</div>
#{/form}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript">
$(document).ready(function(){
    $('[name=hapusPegawai]').on('click', function(){
        var count = $('input:checkbox:checked').length;
        if (count === 0){
            alert("&{'ukpbj.alert_pilih'}");
            return false;
        } else{
            return confirm('&{'ukpbj.alert_hapus'}');
        }
    });

    var config = {
        allowDecimalPadding : false,
        digitGroupSeparator : ''
    };

});
</script>
#{/set}
